Subject: Re: [PATCH] DTC: Remove the need for the GLR Parser.

From: Jon Loeliger <[email-masked]>
Date: Tue, 23 Oct 2007 09:49:09 -0500

So, like, the other day Segher Boessenkool mumbled:
> 
> >> And even without glr-parser, I'm still uncomfortable with the
> >> lexer<->parser execution ordering issues with the current
> >> /dts-version/ proposal.  It may now be true that the order is
> >> guaranteed to be correct, but it's still not exactly obvious.
> 
> If you require /dts-version/ (and similar global dtc-control stmts)
> to be at the start of the file, can't you avoid this ordering problem
> by starting to parse the file with a simple (hand-written) parser
> (which would handle these statements) and only when you cannot parse
> any more switch to the "normal" parser (which won't handle them)?
> Or is this a stupid suggestion :-)

My concern here is that I think we are attempting to make
this significantly more complex than it needs to be.
We have a pretty good KISS opportunity here, and I've shown
it to be working so far.  Longer term, all this cruft will
go away and it will become a moot point anyway.

jdl